com.mysql.cj.xdevapi

## Interface DeleteStatement

All Superinterfaces:
  Statement<DeleteStatement,Result>

    public interface DeleteStatement
    extends Statement<DeleteStatement,Result>

A statement to delete rows from a table.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.mysql.cj.xdevapi.Statement

`Statement.LockContention`

### Method Summary

All Methods Instance Methods Abstract Methods
`DeleteStatement` `limit(long numberOfRows)` Add/replace the row limit for the deletion.
`DeleteStatement` `orderBy(String... sortFields)` Add/replace the order by specification for the deletion.
`DeleteStatement` `where(String searchCondition)` Add/replace the filter for the deletion.

### Methods inherited from interface com.mysql.cj.xdevapi.Statement

`bind, bind, bind, bind, clearBindings, execute, executeAsync`

### Method Detail

#### where

    DeleteStatement where(String searchCondition)

Add/replace the filter for the deletion.

Parameters:
  `searchCondition` - condition expression
Returns:
  `DeleteStatement`

#### orderBy

    DeleteStatement orderBy(String... sortFields)

Add/replace the order by specification for the deletion.

Parameters:
  `sortFields` - sort expression
Returns:
  `DeleteStatement`

#### limit

    DeleteStatement limit(long numberOfRows)

Add/replace the row limit for the deletion.

Parameters:
  `numberOfRows` - limit
Returns:
  `DeleteStatement`

Copyright © 2016, 2022, Oracle and/or its affiliates.